GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/go-valprint.c File Reference
`#include "defs.h"`
`#include "gdbtypes.h"`
`#include "gdbcore.h"`
`#include "go-lang.h"`
`#include "c-lang.h"`
`#include "valprint.h"`

Go to the source code of this file.

## Functions
static void | print_go_string (struct type *type, LONGEST embedded_offset, CORE_ADDR address, struct ui_file *stream, int recurse, struct value *val, const struct value_print_options *options)
void | go_val_print (struct type *type, int embedded_offset, CORE_ADDR address, struct ui_file *stream, int recurse, struct value *val, const struct value_print_options *options)

## Function Documentation

## ◆ go_val_print()

void go_val_print | ( | struct type * | type,
|  | int | embedded_offset,
|  | CORE_ADDR | address,
|  | struct ui_file * | stream,
|  | int | recurse,
|  | struct value * | val,
|  | const struct value_print_options * | options
| ) |  |

Definition at line 89 of file go-valprint.c.

References c_val_print(), check_typedef(), go_classify_struct_type(), GO_TYPE_STRING, print_go_string(), value_print_options::raw, TYPE_CODE, and TYPE_CODE_STRUCT.

## ◆ print_go_string()

static void print_go_string | ( | struct type * | type,
|  | LONGEST | embedded_offset,
|  | CORE_ADDR | address,
|  | struct ui_file * | stream,
|  | int | recurse,
|  | struct value * | val,
|  | const struct value_print_options * | options
| ) |  |
| static

Definition at line 39 of file go-valprint.c.

References _, value_print_options::addressprint, error(), fputs_filtered(), get_type_arch(), type::length, paddress(), plongest(), TYPE_FIELD_TYPE, TYPE_TARGET_TYPE, unpack_value_field_as_long(), val_print_string(), and value_contents_for_printing().

Referenced by go_val_print().